<div class="tabs">
  <a href="javascript:void(0)" class="tab" ng-click="vm.selectedTab = 0" ng-class="{'active': vm.selectedTab == 0}">Users <sub>{{vm.searchResults.users.length}}</sub></a>
  <a href="javascript:void(0)" class="tab" ng-click="vm.selectedTab = 1" ng-class="{'active': vm.selectedTab == 1}">Books <sub>{{vm.searchResults.books.length}}</sub></a>
  <a href="javascript:void(0)" class="tab" ng-click="vm.selectedTab = 2" ng-class="{'active': vm.selectedTab == 2}">Requests <sub>{{vm.searchResults.requests.length}}</sub></a>
  <a href="javascript:void(0)" class="tab" ng-click="vm.selectedTab = 3" ng-class="{'active': vm.selectedTab == 3}">Goodreads <sub>{{vm.searchResults.goodreads.length}}</sub></a>
</div>
<div class="container" ng-show="vm.selectedTab == 1">
  <h1>SEARCH RESULTS.</h1>
  <small>{{vm.searchResults.books.length}} results.</small>
  <div class="results-row" ng-show="!vm.editMode" ng-class="{'focus':vm.commentMode}">
    <div class="blur" ng-show="vm.commentMode" ng-click="vm.blur()"></div>
    <div class="splitter"></div>
    <div class="empty" ng-show="vm.searchResults.books.length == 0">
      <p>NO RESULTS WERE FOUND.</p>
    </div>
    <div class="search-row">
      <div class="col book" ng-repeat="book in vm.searchResults.books">
        <a ng-href="//www.goodreads.com/book/show/{{book.goodreads_id}}" target="_blank"><img ng-src="{{book.image_path}}"></a>
        <h2>{{book.author}}</h2>
        <h3>{{book.name}}</h3>
        <h2>
          <i class="fa fa-star" ng-repeat="i in book.rating | range"></i><i class="fa fa-star o" ng-repeat="i in (5 - book.rating | range)"></i>
          <span>{{book.ratings_count}} voters</span>
        </h2>
        <strong>£{{book.price}}</strong>
        <i class="fa fa-check-circle" ng-show="book.mine"></i>
        <button class="large-button half" ladda="book.submitLoading" ng-click="vm.submitbook(book)" ng-disabled="book.user_id == vm.global.user.id">{{book.user_id == vm.global.user.id ? 'ADDED' : 'ADD'}} TO MY BOOKS</button>
        <button class="large-button half" ladda="book.submitLoading" ng-click="vm.submitrequest(book)" ng-disabled="book.user_id == vm.global.user.id">{{book.user_id == vm.global.user.id ? 'ADDED' : 'ADD'}} TO MY REQUESTS</button>
      </div>
    </div>
  </div>
</div>
<div class="container" ng-show="vm.selectedTab == 0">
  <h1>SEARCH RESULTS.</h1>
  <small>{{vm.searchResults.users.length}} results.</small>
  <div class="results-row" ng-show="!vm.editMode" ng-class="{'focus':vm.commentMode}">
    <div class="blur" ng-show="vm.commentMode" ng-click="vm.blur()"></div>
    <div class="splitter"></div>
    <div class="empty" ng-show="vm.searchResults.users.length == 0">
      <p>NO RESULTS WERE FOUND.</p>
    </div>
    <div class="search-row">
      <div class="col user" ng-repeat="user in vm.searchResults.users" ng-click="vm.navigateToUser(user)">
        <img class="profile-picture" ng-src="{{user.img}}" onerror="this.src='assets/images/default-user.png'">
        <h3>{{user.fullname}}</h3>
        <h2>{{user.city}}</h2>
        <h2>
          <i class="fa fa-star" ng-repeat="i in user.rating | range"></i><i class="fa fa-star o" ng-repeat="i in (5 - user.rating | range)"></i>
          <span>{{user.ratings_count}} voters</span>
        </h2>
      </div>
    </div>
  </div>
</div>
<div class="container" ng-show="vm.selectedTab == 2">
  <h1>SEARCH RESULTS.</h1>
  <small>{{vm.searchResults.requests.length}} results.</small>
  <div class="results-row" ng-show="!vm.editMode" ng-class="{'focus':vm.commentMode}">
    <div class="blur" ng-show="vm.commentMode" ng-click="vm.blur()"></div>
    <div class="splitter"></div>
    <div class="empty" ng-show="vm.searchResults.books.length == 0">
      <p>NO RESULTS WERE FOUND.</p>
    </div>
    <div class="search-row">
      <div class="col book" ng-repeat="book in vm.searchResults.requests">
        <a ng-href="//www.goodreads.com/book/show/{{book.goodreads_id}}" target="_blank"><img ng-src="{{book.image_path}}"></a>
        <h2>{{book.author}}</h2>
        <h3>{{book.name}}</h3>
        <h2>
          <i class="fa fa-star" ng-repeat="i in book.rating | range"></i><i class="fa fa-star o" ng-repeat="i in (5 - book.rating | range)"></i>
          <span>{{book.ratings_count}} voters</span>
        </h2>
        <i class="fa fa-check-circle" ng-show="book.mine"></i>
        <button class="large-button half" ladda="book.submitLoading" ng-click="vm.submitbook(book)" ng-disabled="book.user_id == vm.global.user.id">{{book.user_id == vm.global.user.id ? 'ADDED' : 'ADD'}} TO MY BOOKS</button>
        <button class="large-button half" ladda="book.submitLoading" ng-click="vm.submitrequest(book)" ng-disabled="book.user_id == vm.global.user.id">{{book.user_id == vm.global.user.id ? 'ADDED' : 'ADD'}} TO MY REQUESTS</button>
      </div>
    </div>
  </div>
</div>
<div class="container" ng-show="vm.selectedTab == 3">
  <h1>SEARCH RESULTS.</h1>
  <small>{{vm.searchResults.goodreads.length}} results.</small>
  <div class="results-row" ng-show="!vm.editMode" ng-class="{'focus':vm.commentMode}">
    <div class="blur" ng-show="vm.commentMode" ng-click="vm.blur()"></div>
    <div class="splitter"></div>
    <div class="empty" ng-show="vm.searchResults.books.length == 0">
      <p>NO RESULTS WERE FOUND.</p>
    </div>
    <div class="search-row">
      <div class="col book" ng-repeat="book in vm.searchResults.goodreads">
       <a ng-href="//www.goodreads.com/book/show/{{book.best_book.id.content}}" target="_blank"><img ng-src="{{book.best_book.image_url}}"></a>
        <h2>{{book.best_book.author.name}}</h2>
        <h3>{{book.best_book.title}}</h3>
        <h2>
          <i class="fa fa-star" ng-repeat="i in book.average_rating | range"></i><i class="fa fa-star o" ng-repeat="i in (5 - book.average_rating | range)"></i>
          <span>{{book.ratings_count.content}} voters</span>
        </h2>
        <i class="fa fa-check-circle" ng-show="book.mine"></i>
        <button class="large-button half" ladda="book.submitLoading" ng-click="vm.submitbook(book)" ng-disabled="book.mine">{{book.mine ? 'ADDED' : 'ADD'}} TO MY BOOKS</button>
        <button class="large-button half" ladda="book.submitLoading" ng-click="vm.submitrequest(book)" ng-disabled="book.mine">{{book.mine ? 'ADDED' : 'ADD'}} TO MY REQUESTS</button>
      </div>
    </div>
  </div>
</div>